
Foreman - Bug #16318

PXE templates do not work in safemode

08/26/2016 05:14 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: Templates   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/communit

y-templates/pull/295,

https://github.com/theforeman/foreman/p

ull/3783

  

Description

I mistested refactored PXE templates without safemode and now all the three PXE templates do not work as "@options" is not

allowed.

Related issues:

Related to Foreman - Feature #12634: New HW Model flag pxe_loader in UI/API Closed 11/30/2015

Related to Foreman - Bug #16649: PXE helper pxe_kernel_options renders as array Closed 09/22/2016

Associated revisions

Revision 945de6b3 - 09/01/2016 10:45 AM - Lukas Zapletal

Fixes #16318 - PXE templates now work in safemode (#3783)

pxe_kernel_options added to safemode

History

#1 - 08/26/2016 05:21 AM - Dominic Cleal

- Related to Feature #12634: New HW Model flag pxe_loader in UI/API added

#2 - 08/26/2016 05:21 AM - Dominic Cleal

- Status changed from New to Assigned

- translation missing: en.field_release set to 160

#3 - 08/26/2016 08:09 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/295 added

#4 - 08/26/2016 08:11 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3783 added

#5 - 09/01/2016 11:03 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 945de6b3e55cdf36881d5595ad77f50984c1e4ef.

#6 - 09/06/2016 10:01 AM - Daniel Lobato Garcia

- Target version set to 1.6.2
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/945de6b3e55cdf36881d5595ad77f50984c1e4ef


#7 - 09/22/2016 06:47 AM - Dominic Cleal

- Related to Bug #16649: PXE helper pxe_kernel_options renders as array added
